<?php  
class Camión extends Cuatro_ruedas implements Acción  
    { 
        // Declaración de los atributos  
        private $longitud;  
  
        //accesores
        public function getLongitud()  
        {  
        return $this->longitud; //devuelve la longitud   
        } 
        public function setLongitud($longitud)  
        {  
            $this->longitud = $longitud; //escrito en el atributo longitud
        } 
        //métodos públicos
    public function añadir_remolque($longitud_remolque) 
        { 
            $this->longitud = $this->longitud + $longitud_remolque; 
        } 
 
        //método público  
    public function poner_gasolina(int $numerolitros):void   
        {  
            $this->setPeso($this->getPeso()+$numerolitros);  
        }  
  
    }
?>

